Ubutnu provisioning failed with - failure trying to run: chroot /target dpkg --force-depends --install /var/cache/apt/archives/base-passwd_3.5.24_amd64.deb /var/cache/apt/archives/base-files_6.5ubuntu6.7_amd64.deb

Bug #1407616 reported by Andrey Sledzinskiy on 2015-01-05
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Dmitry Burmistrov

Bug Description

{

    "build_id": "2015-01-04_20-32-45",
    "ostf_sha": "037fce48e08e05b65a8164d09d2e87945aac2b19",
    "build_number": "25",
    "auth_required": true,
    "api": "1.0",
    "nailgun_sha": "500e36d08a45dbb389bf2bd97673d9bff48ee84d",
    "production": "docker",
    "fuelmain_sha": "fe3ba0ba68895f9706c3a61f671f3649177d753c",
    "astute_sha": "ef8aa0fd0e3ce20709612906f1f0551b5682a6ce",
    "feature_groups": [
        "mirantis"
    ],
    "release": "5.1.2",
    "release_versions": {
        "2014.1.3-5.1.1": {
            "VERSION": {
                "build_id": "2015-01-04_20-32-45",
                "ostf_sha": "037fce48e08e05b65a8164d09d2e87945aac2b19",
                "build_number": "25",
                "api": "1.0",
                "nailgun_sha": "500e36d08a45dbb389bf2bd97673d9bff48ee84d",
                "production": "docker",
                "fuelmain_sha": "fe3ba0ba68895f9706c3a61f671f3649177d753c",
                "astute_sha": "ef8aa0fd0e3ce20709612906f1f0551b5682a6ce",
                "feature_groups": [
                    "mirantis"
                ],
                "release": "5.1.2",
                "fuellib_sha": "2ba6d3eb2da994c150fe01f785d7f47805380564"
            }
        }
    },
    "fuellib_sha": "2ba6d3eb2da994c150fe01f785d7f47805380564"

}
Steps:
1. Create next cluster - Ubuntu, Ha, nova vlan, 3 contorller, 2 compute nodes
2. Run deployment

Actual - provisioning failed with error on nodes
failure trying to run: chroot /target dpkg --force-depends --install /var/cache/apt/archives/base-passwd_3.5.24_amd64.deb /var/cache/apt/archives/base-files_6.5ubuntu6.7_amd64.deb

debootstrap log from node
2015-01-04 21:46:21 NOTICE

  base-files

2015-01-04 21:46:21 NOTICE

 Errors were encountered while processing:

2015-01-04 21:46:21 NOTICE

   Package libc6 is not installed.

2015-01-04 21:46:21 NOTICE

  base-passwd depends on libc6 (>= 2.8); however:

2015-01-04 21:46:21 NOTICE

 dpkg: base-passwd: dependency problems, but configuring anyway as you requested:

2015-01-04 21:46:21 NOTICE

  subprocess installed post-installation script returned error exit status 1

2015-01-04 21:46:21 NOTICE

 dpkg: error processing base-files (--install):

2015-01-04 21:46:21 NOTICE

 Setting up base-passwd (3.5.24) ...

2015-01-04 21:46:21 NOTICE

2015-01-04 21:46:21 NOTICE

 invalid user: `root:root'

2015-01-04 21:46:21 NOTICE

 chown:

2015-01-04 21:46:21 NOTICE

   Package awk is not installed.

2015-01-04 21:46:21 NOTICE

  base-files depends on awk; however:

2015-01-04 21:46:21 NOTICE

 dpkg: base-files: dependency problems, but configuring anyway as you requested:

2015-01-04 21:46:21 NOTICE

 Setting up base-files (6.5ubuntu6.7) ...

2015-01-04 21:46:21 NOTICE

 dpkg: warning: ignoring pre-dependency problem!

2015-01-04 21:46:21 NOTICE

   awk is not installed.

2015-01-04 21:46:21 NOTICE

  base-files pre-depends on awk

2015-01-04 21:46:21 NOTICE

 dpkg: regarding .../base-files_6.5ubuntu6.7_amd64.deb containing base-files, pre-dependency problem:

2015-01-04 21:46:21 NOTICE

 Unpacking base-files (from .../base-files_6.5ubuntu6.7_amd64.deb) ...

2015-01-04 21:46:21 NOTICE

 Selecting previously unselected package base-files.

2015-01-04 21:46:21 NOTICE

 Unpacking base-passwd (from .../base-passwd_3.5.24_amd64.deb) ...

2015-01-04 21:46:21 NOTICE

 (Reading database ... 0 files and directories currently installed.)

2015-01-04 21:46:21 NOTICE

 Selecting previously unselected package base-passwd.

2015-01-04 21:46:21 NOTICE

  missing architecture

2015-01-04 21:46:21 NOTICE

 dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':

2015-01-04 21:46:21 NOTICE

  missing maintainer

2015-01-04 21:46:21 NOTICE

 dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':

2015-01-04 21:46:21 NOTICE

  missing description

2015-01-04 21:46:21 NOTICE

 dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':

logs are attached

Changed in fuel:
status: New → Confirmed
Roman Vyalov (r0mikiam) on 2015-01-13
Changed in fuel:
assignee: Fuel OSCI Team (fuel-osci) → MOS Linux (mos-linux)

According to fuel log, this was made from the following commit:
commit fe3ba0ba68895f9706c3a61f671f3649177d753c
Author: Dennis Dmitriev <email address hidden>
Date: Thu Dec 25 02:20:33 2014 +0200

    Testing of OSCI packages on a stable environment

    1. Enables the 'custom_repo' decorator which add new rpm/deb
    packages to FUEL master node from custom repository before
    OS cluster is created. Can be used with any system test.

    2. In case of deployment error, checks the puppet logs
    in /var/log/docker-logs/remote/node-*/ for unmet dependences
    of packages which are failed to install during deployment.

    Use the following environment variables:
    * required:
      CUSTOM_PKGS_MIRROR=<URL to repository>

I suggest contacting the author of the commit, or check logs from the environment. MOS Linux has nothing to do here.

Changed in fuel:
assignee: MOS Linux (mos-linux) → Andrey Sledzinskiy (asledzinskiy)
Dennis Dmitriev (ddmitriev) wrote :

'CUSTOM_PKGS_MIRROR' was not used for this deployment.

Ubuntu repository is used as it was built during the ISO was preparing.

According to the /var/log/docker-logs/remote/node-*.test.domain.local/debootstrap.log (on all nodes the same), there is a dependency problem of the package 'base-files_6.5ubuntu6.7_amd64.deb':

2015-01-04T21:46:21.118987+00:00 notice: dpkg: regarding .../base-files_6.5ubuntu6.7_amd64.deb containing base-files, pre-dependency problem:
2015-01-04T21:46:21.118987+00:00 notice: base-files pre-depends on awk
2015-01-04T21:46:21.118992+00:00 notice: awk is not installed.

Dennis Dmitriev (ddmitriev) wrote :

It was not a dependency issue.
After re-trying the provisioning from the VNC console, all slaves were provisioned smoothly on the affected env.

Looks like some connection issue to the master node happened during provisioning.

Ok, thank you Dennis. I will run this test again on 25 ISO and move it to invalid in case this issue won't be reproduced again

Issue is still reproduced locally and on CI

Changed in fuel:
assignee: Andrey Sledzinskiy (asledzinskiy) → Fuel OSCI Team (fuel-osci)
Alexei Sheplyakov (asheplyakov) wrote :

2015-01-04T21:46:21.118987+00:00 notice: dpkg: regarding .../base-files_6.5ubuntu6.7_amd64.deb containing base-files, pre-dependency problem:
2015-01-04T21:46:21.118987+00:00 notice: base-files pre-depends on awk
2015-01-04T21:46:21.118992+00:00 notice: awk is not installed.

Actually this is not a problem the essential packages (such as base-files) can work even without configuration.
Also awk (implicitly) depends on base-files, so in order to break the dependency loop base-file is installed before awk.

Changed in fuel:
assignee: Fuel OSCI Team (fuel-osci) → Dmitry Burmistrov (dburmistrov)
status: Confirmed → In Progress

Package debootstrap-udeb has been updated to 1.0.40~ubuntu0.5

Changed in fuel:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers